From: Jose Luis Rivero <jrivero@osrfoundation.org>
Subject: Look for ign binary instead of use cmake machinery

Last-Update: 2018-02-09
Forwarded: No

---
diff --git a/cmake/SearchForStuff.cmake b/cmake/SearchForStuff.cmake
index 54bcc61..9657e47 100644
--- a/cmake/SearchForStuff.cmake
+++ b/cmake/SearchForStuff.cmake
@@ -52,8 +52,8 @@ endif()
 
 #################################################
 # Find ign command line utility:
-find_package(ignition-tools)
-if (IGNITION-TOOLS_BINARY_DIRS)
+find_program(IGNITION-TOOLS ign)
+if (IGNITION-TOOLS)
   message(STATUS "Looking for ignition-tools-config.cmake - found")
 else()
   BUILD_WARNING ("ignition-tools not found, for command line utilities and for \
diff --git a/sdf/CMakeLists.txt b/sdf/CMakeLists.txt
index 9ce9428..a34bcd0 100644
--- a/sdf/CMakeLists.txt
+++ b/sdf/CMakeLists.txt
@@ -22,7 +22,7 @@ execute_process(
 # Generate aggregated SDF description files for use by the sdformat.org 
 # website. If the description files change, the generated full*.sdf files need 
 # to be removed before running this target.
-if (IGNITION-TOOLS_BINARY_DIRS)
+if (IGNITION-TOOLS)
 
   # Update this list as new sdformat spec versions are added.
   set(sdf_desc_versions 1.4 1.5 1.6 1.7 1.8 1.9)
@@ -35,7 +35,7 @@ if (IGNITION-TOOLS_BINARY_DIRS)
       OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/full_${desc_ver_dash}.sdf
       COMMAND
         ${CMAKE_COMMAND} -E env IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf
-        ${IGNITION-TOOLS_BINARY_DIRS}/ign
+        ${IGNITION-TOOLS}
       ARGS sdf -d ${desc_ver} > ${CMAKE_CURRENT_BINARY_DIR}/full_${desc_ver_dash}.sdf
       COMMENT "Generating full description for spec ${desc_ver}"
       VERBATIM)
